import request from '@/utils/request'

// 查询国内过检数据列表
export function listVCsisBusinessRecord (query) {
  return request({
    url: '/system/vCsisBusinessRecord/list',
    method: 'get',
    params: query
  })
}

// 查询国内过检数据详细
export function getVCsisBusinessRecord (id) {
  return request({
    url: '/system/vCsisBusinessRecord/' + id,
    method: 'get'
  })
}

// 新增国内过检数据
export function addVCsisBusinessRecord (data) {
  return request({
    url: '/system/vCsisBusinessRecord',
    method: 'post',
    data: data
  })
}

// 修改国内过检数据
export function updateVCsisBusinessRecord (data) {
  return request({
    url: '/system/vCsisBusinessRecord',
    method: 'put',
    data: data
  })
}

// 删除国内过检数据
export function delVCsisBusinessRecord (id) {
  return request({
    url: '/system/vCsisBusinessRecord/' + id,
    method: 'delete'
  })
}

// 导出国内过检数据
export function exportVCsisBusinessRecord (query) {
  return request({
    url: '/system/vCsisBusinessRecord/export',
    method: 'get',
    params: query
  })
}
